Subject: Re: bug#8402: Acknowledgement (24.0.50; Hex colors are not rendered correctly on OS X (Cocoa))

From: Steve Purcell <[email-masked]>
Date: Thu, 5 May 2011 19:43:04 +0100

On 5 May 2011, at 14:07, David De La Harpe Golden wrote:

> On 05/05/11 12:13, David De La Harpe Golden wrote:
>> On 05/05/11 10:17, Steve Purcell wrote:
>>> 
>>> Would there be a problem if X11 was left as-is, and NS started to
>>> interpret #rrggbb as sRGB?
>>> 
>> 
>> Shrug. Insofar as with the current situation one can't expect the
>> colors to match across the platforms anyway, I guess it wouldn't matter
>> much.
> 
> though (just to spell out more for the archives than respondents who likely understood this) - ns emacs is currently using NSCalibratedRGBColorSpace as Chong Yidong already mentioned and afaics, so it would be a change on ns itself for ns switch to sRGB, I just meant it wouldn't be making interplatform compat worse particularly.

I think I've been conflating sRGB and device colors. What I'd be in favor of right now would be somebody changing NS to use device RGB colors by default, and seeing if the world falls apart. The indications are that it would improve matters for NS emacs users without upsetting anyone else.

Having a customization for the NS colorspace would be a nice-to-have, and the possibility of having colors displayed identically across all window-systems would be a laudable longer-term goal.